<template>
	<swiper class="swiper" :options="swiperOption">
		<swiper-slide
			v-for="(evolution, index) in pokemons"
			:key="index"
			class="q-pl-sm"
		>
			<div class="row items-center q-my-lg">
				<card-preview :pokemon="evolution" style="width: 250px" />
				<q-icon
					v-if="index + 1 !== evolutions.length"
					name="double_arrow"
					class="icon-style"
				/>
			</div>
		</swiper-slide>

		<div class="swiper-button-next-product" slot="button-next"></div>
		<div class="swiper-button-prev-product" slot="button-prev"></div>
	</swiper>
</template>

<script>
	import CardPreview from "./CardPreview.vue";
	export default {
		components: { CardPreview },
		props: {
			evolutions: {
				type: Array,
				default: () => [],
			},
		},

		data: () => ({
			swiperOption: {
				slidesPerView: 2,
				spaceBetween: 10,
				breakpoints: {
					1024: {
						slidesPerView: 3,
					},
					640: {
						slidesPerView: 2,
					},
					320: {
						slidesPerView: 1,
					},
				},
				navigation: {
					nextEl: ".swiper-button-next-product",
					prevEl: ".swiper-button-prev-product",
				},
			},
		}),

		computed: {
			pokemons() {
				return this.evolutions.map((pokemon) => {
					let sprites = pokemon.sprites;
					return {
						...pokemon,
						image:
							sprites.other?.dream_world?.front_default ??
							sprites.other["official-artwork"].front_default ??
							sprites.front_default,
					};
				});
			},
		},
	};
</script>

<style scoped lang="scss">
	.icon-style {
		background: -webkit-linear-gradient(90deg, #00c9ff 0%, #92fe9d 100%);

		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
		font-size: 4rem;
	}

	.swiper-button-prev,
	.swiper-button-prev-product,
	.swiper-button-next-product,
	.swiper-button-next {
		&:after {
			font-size: 20px;
			background: #00000080;
			padding: 12px;
			color: red;
			border-radius: 20px;
			line-height: 0.5;
		}
	}
</style>